#pragma once
/*****      Output Functions     *****/
//These funcions help to print the truck data to the screen
//This finally works as an Output method
//Max number of rects is 399 therefore a maximum of 399 bits can be drawn at a time
//The truck list entrys have to be printed as one per frame

#include <iostream>
#include "TruckList.h"
#include "..\inc\natives.h"
#include "..\inc\types.h"
#include "..\inc\enums.h"

void setupPixelSize();
void drawCharAsLines(char character, float pixelOffset);
void testScreenDrawing();
void encodeString(std::string input);
void drawStartSignal();